Skip to main content

Using API for clients

Register a client

post
Endpoint POST /api/public/client/register

Parameters

Request body

  • name

    *

    string

  • email

    *

    string

Responses

  • 200:OK
    {
    "status": "success",
    "data": {
    "id": "string",
    "name": "string",
    "email": "string",
    "createdAt": "2026-06-03T10:41:47.612Z",
    "updatedAt": "2026-06-03T10:41:47.612Z"
    }
    }

Get clients list

get
Endpoint GET /api/public/client/list

Parameters

Query

  • search

    string

  • sort

    string

    Default value: date

  • order

    string

    Available values: ASC, DESC. Default value: ASC

  • hideZeroBalance

    string

    Set to true to exclude wallets and assets with zero balance from the response.

  • typeNetwork

    *

    string

    Network type (mainnet only). Available values: mainnet

Responses

  • 200:OK
    {
    "status": "success",
    "data": {
    "page": 0,
    "pages": 0,
    "countItems": 0,
    "entities": [
    {
    "id": "string",
    "name": "string",
    "email": "string",
    "createdAt": "2026-06-03T10:42:21.741Z",
    "updatedAt": "2026-06-03T10:42:21.741Z",
    "wallets": [
    {
    "id": "string",
    "address": "string",
    "balanceUSD": "string",
    "assets": [
    {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "balance": "string",
    "balanceUSD": "string"
    }
    ]
    }
    ],
    "balanceUSD": "string"
    }
    ]
    }
    }

Get client balances

get
Endpoint GET /api/public/client/balances/{clientId}

Parameters

Path

  • clientId

    *

    string

    Client identifier.

Query

  • hideZeroBalance

    string

    Set to true to exclude wallets and assets with zero balance from the response.

  • typeNetwork

    *

    string

    Network type (mainnet only). Available values: mainnet

Responses

  • 200:OK
    {
    "status": "success",
    "data": [
    {
    "id": "string",
    "address": "string",
    "balanceUSD": "string",
    "assets": [
    {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "balance": "string",
    "balanceUSD": "string"
    }
    ]
    }
    ]
    }